h20417
s 00016/00000/00000
d D 1.1 82/08/03 08:43:18 cecily 1 0
e
u
U
t
T
I 1
/*
 * Swap bytes in 16-bit [half-]words
 * for going between the 11 and the interdata
 */

swab(pf, pt, n)
register short *pf, *pt;
register n;
{

	n /= 2;
	while (--n >= 0) {
		*pt++ = (*pf << 8) + ((*pf >> 8) & 0377);
		pf++;
	}
}
E 1
